<p align="center">
    <img src="https://raw.githubusercontent.com/raivo-otp/ios-application/master/Assets/app-icon.png" width="200"/>
</p>
<p align="center">
    <a href="https://apps.apple.com/us/app/raivo-otp/id1459042137#?platform=iphone">
        <img src="https://linkmaker.itunes.apple.com/en-us/badge-lrg.svg?releaseDate=2019-08-01&kind=iossoftware&bubble=ios_apps" width="180"/>
    </a>
</p>
<p align="center">
    <a href="https://github.com/raivo-otp/ios-application/blob/master/LICENSE.md"><img src="https://raw.finnwea.com/shield/?firstText=Source&secondText=Licensed" /></a>
    <a href="https://apps.apple.com/us/app/raivo-otp/id1459042137#?platform=iphone"><img src="https://raw.finnwea.com/vector-shields-v1/?firstText=Platform&secondText=iOS%20%26%20iPadOS%20(13%20or%20higher)" /></a>
    <a href="https://github.com/raivo-otp/ios-application/releases"><img src="https://raw.finnwea.com/vector-shields-v1/?typeKey=SemverVersion&typeValue1=raivo-otp&typeValue2=ios-application&typeValue4=Release&cache=4"></a>
    <br/>
    <b>A native, lightweight and secure time-based (TOTP) & counter-based (HOTP) password client built for iOS</b>
    <br/>
    <sup>Built by <a href="https://www.linkedin.com/in/tijme/">Tijme Gommers</a> – Buy me a coffee via <a href="https://www.paypal.me/tijmegommers">PayPal</a></sup>
    <br/>
</p>

<p align="center">
    <img src="https://github.com/raivo-otp/ios-application/raw/master/.github/preview_left.png?cache=5" width="270">
    <img src="https://github.com/raivo-otp/ios-application/raw/master/.github/preview_middle.png?cache=5" width="270">
    <img src="https://github.com/raivo-otp/ios-application/raw/master/.github/preview_right.png?cache=5" width="270">
</p>

## Features

* Backup/sync (T/H)OTPs to iCloud automagically
* Add custom issuer icons for your OTPs
* Scan a QR code or add an OTP manually
* Show the current and previous token
* Search using powerful search capabilities
* Optional FaceID or TouchID unlock
* Export passwords as encrypted ZIP archives
* It's fast (native, built in Swift 5)
* It's secure (see the [security policy](https://github.com/raivo-otp/ios-application/blob/master/SECURITY.md) for more information)
* It's open-source (check the [contribution policy](https://github.com/raivo-otp/ios-application/blob/master/CONTRIBUTING.md))

## Icons

<p align="center">
    <img src="https://raw.githubusercontent.com/raivo-otp/issuer-icons/master/vectors/reddit.com/reddit.svg?sanitize=true" width="75" />
    <img src="https://raw.githubusercontent.com/raivo-otp/issuer-icons/master/vectors/bitbucket.com/bitbucket.svg?sanitize=true" width="75" />
    <img src="https://raw.githubusercontent.com/raivo-otp/issuer-icons/master/vectors/google.com/google.svg?sanitize=true" width="75" /> 
    <img src="https://raw.githubusercontent.com/raivo-otp/issuer-icons/master/vectors/whatsapp.com/whatsapp.svg?sanitize=true" width="75" />
    <img src="https://raw.githubusercontent.com/raivo-otp/issuer-icons/master/vectors/amazon.com/amazon.svg?sanitize=true" width="75" /> 
    <img src="https://raw.githubusercontent.com/raivo-otp/issuer-icons/master/vectors/atlassian.com/atlassian.svg?sanitize=true" width="75" />
    <img src="https://raw.githubusercontent.com/raivo-otp/issuer-icons/master/vectors/spotify.com/spotify.svg?sanitize=true" width="75" />
    <img src="https://raw.githubusercontent.com/raivo-otp/issuer-icons/master/vectors/slack.com/slack.svg?sanitize=true" width="75" />
    <img src="https://raw.githubusercontent.com/raivo-otp/issuer-icons/master/vectors/facebook.com/facebook-messenger.svg?sanitize=true" width="75" />
    <img src="https://raw.githubusercontent.com/raivo-otp/issuer-icons/master/vectors/gitlab.com/gitlab.svg?sanitize=true" width="75" />
</p>


Raivo enables you to add your own icons to OTPs. You can add your own icon via the [Raivo icon repository](https://github.com/raivo-otp/issuer-icons). Make sure to read the contribution guidelines before making a pull request.

## Migrating

The following migration guides walk you through the process of migrating from your existing OTP app to Raivo OTP.

* [Migrating from **Authy** to Raivo OTP](https://tij.me/blog/migrating-your-one-time-passwords-from-authy-to-raivo-otp/)

## Issues

Issues or new features can be reported via the [issue tracker](https://github.com/raivo-otp/ios-application/issues). Please make sure your issue or feature has not yet been reported by anyone else before submitting a new one.

## Security

If you discover a security vulnerability, we would like to know about it so we can take steps to address it as quickly as possible. Please refer to the [security policy](https://github.com/raivo-otp/ios-application/blob/master/SECURITY.md) for information on reporting vulnerabilities.

## Privacy

Raivo does not collect personally identifiable information in any way. Please refer to the [privacy policy](https://github.com/raivo-otp/ios-application/blob/master/PRIVACY.md) for information.

## License

Copyright (c) 2021 Tijme Gommers. All rights reserved. View [LICENSE.md](https://github.com/raivo-otp/ios-application/blob/master/LICENSE.md) for the full license.
